# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit games

DESCRIPTION="Enhanced port of the official DOOM source code"
HOMEPAGE="http://www.zdoom.org"
SRC_URI="http://www.zdoom.org/files/zdoom-${PV}-src.7z"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~x86"
IUSE="debug"

DEPEND=">=app-arch/p7zip-4.39
		>=media-libs/libsdl-1.2.8-r1
		>=dev-lang/nasm-0.98.39-r3
		>=media-libs/fmod-3.74
		>=media-libs/flac-1.1.2-r3"

pkg_setup() {
	games_pkg_setup
}

dir="${GAMES_DATADIR}/doom-data"

src_unpack() {
	unpack ${A} || die "unpack failed"
}

src_compile() {
	cd ${WORKDIR}
	make clean || die "make clean failed"
	make || die "make failed"

}

src_install() {
	cd ${WORKDIR}
	local myexe="${PN}.`uname -m`"
	newgamesbin ${PN} ${myexe} || die "newgamesbin failed"
	games_make_wrapper ${PN} ${myexe}  "${dir}" "${dir}"
	insinto "${GAMES_DATADIR}/doom-data"
	doins wadsrc/${PN}.pk3 || die "doins failed"
	dodoc docs/{commands,history,rh-log,zdoom}.txt
	prepgamesdirs
}

pkg_postinst() {
	games_pkg_postinst
}
